-- #103
CREATE TABLE addressperson (
     addressid            integer  not null
,    salutation           varchar(30)  null
,    title                varchar(100)  null
,    firstname            varchar(50)  null
,    middlename           varchar(100)  null
,    lastname             varchar(50)  null
,    emailprivate         varchar(150)  null
,    emailbusiness        varchar(150)  null
,    phoneprivate         varchar(40)  null
,    phonebusiness        varchar(40)  null
,    phonecell            varchar(40)  null
,    gender               tinyint  null
,    company              varchar(100)  null
,    department           varchar(100)  null
,    jobtitle             varchar(100)  null
,    birthday             datetime  null

,   constraint pk_addressperson                 primary key (addressid)
,   constraint fk_addressperson_addressid       foreign key (addressid)
        references address                          (addressid)
)
GO
