-- #105
CREATE TABLE creditcheckagencypricelimit (
     creditcheckagencyconfigid integer  not null
,    currencyid           char(3)  not null
,    minamount            decimal(19,4)  null
,    maxamount            decimal(19,4)  null

,   constraint pk_creditcheckagencypricelimit   primary key (creditcheckagencyconfigid,currencyid)
,   constraint fk_creditcheckagencypricelimit_creditcheckagencyconfigid foreign key (creditcheckagencyconfigid)
        references creditcheckagencyconfig          (creditcheckagencyconfigid)
,   constraint fk_creditcheckagencypricelimit_currencyid foreign key (currencyid)
        references currency                         (currencyid)
)
GO
CREATE INDEX i_ccagenypricelimit_currency ON creditcheckagencypricelimit (currencyid)
GO
