jQueryConfig = {
    depend:{
        jsonp:                   false,
        pluginRoot:              '#StoreRoot[js]/GUI',
        i18nRoot:                '#StoreRoot[js]/GUI/ep/i18n',
        tmplRoot:                '#StoreRoot[js]/GUI',
        dictRoot:                '#StoreRoot[js]/GUI'
    },
    i18n:{
        region:                  '#INPUT.Locale'.replace(/_/,'-'), //convert en_GB to en-GB for javascript
        currency:                [
	    	#IF(#LENGTH(#Site.CurrencyID))
	    		'#Site.CurrencyID'
	    	#ENDIF
	    	#IF(#LENGTH(#Site.CurrencyID) AND #LENGTH(#INPUT.Currency))
	    		,
	    	#ENDIF
	    	#IF(#INPUT.Currency)
	    		'#INPUT.Currency'
	    	#ENDIF
	    	#IF(#User.CurrencyID AND (#LENGTH(#Site.CurrencyID) OR #LENGTH(#INPUT.Currency)))
	    		,
	    	#ENDIF#IF(#User.CurrencyID)
	    		'#User.CurrencyID'
	    	#ENDIF
	    ]
    },
    dict:{
        region:                  '#INPUT.Language'
    },
    storage:{
        namespace:               '#StoreName[0]#Shop.ID'+'::'
    },
    ajax: {
         fileSizeMax:            #WebInterfaceConf.maxcontentlength * 1024
    },
    metaparse: {
    	autoparse:               false
    },
    mime: {
        groups: {
            'image/*':           'image/png,image/jpeg,image/jpg,image/gif,image/vnd.microsoft.icon,image/x-icon,image/x-win-bitmap',
            'document/*':        'application/pdf,application/msword,application/vnd.ms-excel,application/rtf,application/vnd.openxmlformats-officedocument.wordprocessingml.document,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet',
            'audio/*':           'audio/mpeg,audio/x-ms-wma,audio/ogg,audio/flac,audio/x-ms-wma',
            'video/*':           'video/x-msvideo,video/mp4,video/mpeg,video/x-ms-wmv,video/x-flv'
        }
    },
    noConflict: 'jq'
};

epConfig = {
	autoMetaparse:               false,
    version:                     '#System.EpagesVersion',
    webRoot:                     '#WebRoot[js]',
    storeName:                   '#StoreName[js]',
    storeWebRoot:                '#WebRoot[js]/#StoreName[js]',
    storeRoot:                   '#StoreRoot[js]',
    storeTypeRoot:               '#StoreRoot[js]',
    javascriptRoot:              '#StoreRoot[js]/GUI',
    siteRoot:                    '#Shop.WebPath[js]',
    siteId:                      '#Shop.ID',
    siteGuid:                    '#Shop.GUID',
    iconsRoot:                   '#StoreRoot[js]/BO/icons',
    maxContentLength:            '#WebInterfaceConf.maxcontentlength',
    debugLevel:                  #DebugLevel[js],
    languageId:                  '#INPUT.LanguageID',
    language:                    '#INPUT.Language'
};