-- #104
CREATE TABLE shippingmethodoptionprice (
     shippingmethodid     integer  not null
,    shippingfulfillmentoptionid integer  not null
,    currencyid           char(3)  not null
,    basevalue            decimal(19,4)  null

,   constraint pk_shippingmethodoptionprice     primary key (shippingmethodid,shippingfulfillmentoptionid,currencyid)
,   constraint fk_shippingmethodoptionprice_shippingmethodid foreign key (shippingmethodid)
        references shippingmethod                   (shippingmethodid)
,   constraint fk_shippingmethodoptionprice_currencyid foreign key (currencyid)
        references currency                         (currencyid)
,   constraint fk_shippingmethodoptionprice_shippingfulfillmentoptionid foreign key (shippingfulfillmentoptionid)
        references shippingfulfillmentoption        (shippingfulfillmentoptionid)
)
GO
CREATE INDEX i_shippingmethodoptprice_ocid ON shippingmethodoptionprice (shippingfulfillmentoptionid, currencyid)
GO
CREATE INDEX i_shippingmethodoptprice_cid ON shippingmethodoptionprice (currencyid)
GO
