#!/bin/bash -x

export EPAGES_BACKUP_DIR=
export EPAGES_BACKUP_DB=
export EPAGES_INSTALL_VERSION=$2

type curl >/dev/null || exit 1
curl http://epages.com/RPMS/rpmify/rpmify-epages.sh | sh
RET=$? ; [[ $RET = 0 ]] || exit $RET

if [ -f /etc/SuSE-release ] ; then
  zypper modifyrepo --enable epages-update-$2
  zypper update -y -r epages-update-$2 epages-patch
  RET=$?
  zypper modifyrepo --disable epages-update-$2
else
  yum -y update epages-patch --disablerepo epages-update --enablerepo epages-update-$2
  RET=$?
fi

exit $RET
