-- #202
CREATE TABLE lineitempayment (
     lineitempaymentid    integer  not null
,    paymentmethodid      integer  null
,    paymenttypeid        integer  null
,    ishirepurchaseok     bool  not null
,    hirepurchasenoofmonths integer  null
,    hirepurchaseinterestratevalue double  null
,    hirepurchaseinstallmentamount decimal(19,4)  null
,    ispaymentok          bool  not null
,    transactiontype      bool  not null
,    istesttransaction    bool  not null

,   constraint pk_lineitempayment               primary key (lineitempaymentid)
,   constraint fk_lineitempayment_lineitempaymentid foreign key (lineitempaymentid)
        references lineitem                         (lineitemid)
,   constraint fk_lineitempayment_paymentmethodid foreign key (paymentmethodid)
        references paymentmethod                    (paymentmethodid)
,   constraint fk_lineitempayment_paymenttypeid foreign key (paymenttypeid)
        references paymenttype                      (paymenttypeid)
)
GO
CREATE INDEX i_lineitempayment_paymentmeth ON lineitempayment (paymentmethodid)
GO
CREATE INDEX i_lineitempayment_paymenttype ON lineitempayment (paymenttypeid)
GO
