-- #503
CREATE TABLE template (
     templateid           integer  not null AUTO_INCREMENT
,    pagetypeid           integer  not null
,    name                 varchar(255)  not null

,   constraint pk_template                      primary key (templateid)
,   constraint fk_template_pagetypeid           foreign key (pagetypeid)
        references pagetype                         (pagetypeid)
)
GO
CREATE UNIQUE INDEX u_template_pagetype_name ON template (pagetypeid, name)
GO
CREATE INDEX i_template_pagetypeid ON template (pagetypeid)
GO
