-- #202
CREATE TABLE quantitydiscount (
     quantitydiscountid   integer  not null AUTO_INCREMENT
,    productid            integer  not null
,    pricelistid          integer  not null
,    quantity             decimal(19,4)  not null
,    discount             double  not null

,   constraint pk_quantitydiscount              primary key (quantitydiscountid)
,   constraint fk_quantitydiscount_productid    foreign key (productid)
        references product                          (productid)
,   constraint fk_quantitydiscount_pricelistid  foreign key (pricelistid)
        references pricelist                        (pricelistid)
)
GO
CREATE INDEX i_quantitydiscount_product ON quantitydiscount (productid, pricelistid)
GO
CREATE INDEX i_quantitydiscount_pricelist ON quantitydiscount (pricelistid)
GO
