-- #202
CREATE TABLE valuediscount (
     valuediscountid      integer  not null AUTO_INCREMENT
,    productid            integer  not null
,    pricelistid          integer  not null
,    value                decimal(19,4)  not null
,    discount             double  not null

,   constraint pk_valuediscount                 primary key (valuediscountid)
,   constraint fk_valuediscount_productid       foreign key (productid)
        references product                          (productid)
,   constraint fk_valuediscount_pricelistid     foreign key (pricelistid)
        references pricelist                        (pricelistid)
)
GO
CREATE INDEX i_valuediscount_product ON valuediscount (productid, pricelistid)
GO
CREATE INDEX i_valuediscount_pricelist ON valuediscount (pricelistid)
GO
