-- #303
CREATE TABLE regioncountry (
     regionid             integer  not null
,    countryid            integer  not null

,   constraint pk_regioncountry                 primary key (regionid,countryid)
,   constraint fk_regioncountry_regionid        foreign key (regionid)
        references region                           (regionid)
,   constraint fk_regioncountry_countryid       foreign key (countryid)
        references country                          (countryid)
)
GO
CREATE INDEX i_regioncountry_countryid ON regioncountry (countryid)
GO
