-- #104
CREATE TABLE shopcurrency (
     shopid               integer  not null
,    currencyid           char(3)  not null
,    isactivated          bool  not null
,    position             integer  not null

,   constraint pk_shopcurrency                  primary key (shopid,currencyid)
,   constraint fk_shopcurrency_shopid           foreign key (shopid)
        references shop                             (shopid)
,   constraint fk_shopcurrency_currencyid       foreign key (currencyid)
        references currency                         (currencyid)
)
GO
CREATE INDEX i_shopcurrency_currencyid ON shopcurrency (currencyid)
GO
