-- #204
CREATE TABLE navbarelement (
     navbarelementid      integer  not null
,    styleid              integer  not null
,    navbarid             integer  not null
,    navelementid         integer  not null

,   constraint pk_stylenavbarelement            primary key (navbarelementid)
,   constraint fk_navbarelement_navbarid        foreign key (navbarid)
        references navbar                           (navbarid)
,   constraint fk_navbarelement_navelementid    foreign key (navelementid)
        references navelement                       (navelementid)
,   constraint fk_navbarelement_styleid         foreign key (styleid)
        references style                            (styleid)
,   constraint fk_navbarelement_navbarelementid foreign key (navbarelementid)
        references object                           (objectid)
)
GO
CREATE INDEX i_stylenavbarelement_style ON navbarelement (styleid)
GO
CREATE INDEX i_stylenavbarelement_navbarid ON navbarelement (navbarid)
GO
CREATE INDEX i_stylenavbarelement_elementid ON navbarelement (navelementid)
GO
