-- #103
CREATE TABLE galleryimage (
     galleryimageid       integer  not null
,    imagegalleryid       integer  not null
,    date                 datetime  null

,   constraint pk_galleryimage                  primary key (galleryimageid)
,   constraint fk_galleryimage_imagegalleryid   foreign key (imagegalleryid)
        references imagegallery                     (imagegalleryid)
,   constraint fk_galleryimage_galleryimageid   foreign key (galleryimageid)
        references object                           (objectid)
)
GO
CREATE INDEX i_galleryimage_imagegalleryid ON galleryimage (imagegalleryid)
GO
