-- #104
CREATE TABLE shippingpaymentmap (
     shippingmethodid     integer  not null
,    paymentmethodid      integer  not null

,   constraint pk_shippingpaymentmap            primary key (shippingmethodid,paymentmethodid)
,   constraint fk_shippingpaymentmap_shippingmethodid foreign key (shippingmethodid)
        references shippingmethod                   (shippingmethodid)
,   constraint fk_shippingpaymentmap_paymentmethodid foreign key (paymentmethodid)
        references paymentmethod                    (paymentmethodid)
)
GO
CREATE INDEX i_shippingpaymentmap_payment ON shippingpaymentmap (paymentmethodid)
GO
