-- #102
CREATE TABLE portal (
     portalid             integer  not null
,    featureid            integer  null
,    portalconfigclassid  integer  null
,    image                varchar(255)  null
,    exportdriver         varchar(255)  null
,    filename             varchar(255)  null
,    logging              bool  not null

,   constraint pk_productportal                 primary key (portalid)
,   constraint fk_portal_portalid               foreign key (portalid)
        references object                           (objectid)
,   constraint fk_portal_featureid              foreign key (featureid)
        references feature                          (featureid)
,   constraint fk_portal_portalconfigclassid    foreign key (portalconfigclassid)
        references class                            (classid)
)
GO
CREATE INDEX i_portal_featureid ON portal (featureid)
GO
CREATE INDEX i_portal_protalconfigclassid ON portal (portalconfigclassid)
GO
