-- #102
CREATE TABLE shopchilddependency (
     shopchildid          integer  not null
,    dependendshopchildid integer  not null
,    cartridgeid          integer  not null

,   constraint pk_shopchilddependency           primary key (shopchildid,dependendshopchildid,cartridgeid)
,   constraint fk_shopchilddependency_shopchildid foreign key (shopchildid)
        references shopchildorder                   (shopchildid)
,   constraint fk_shopchilddependency_dependendshopchildid foreign key (dependendshopchildid)
        references shopchildorder                   (shopchildid)
)
GO
CREATE INDEX i_shopchilddepend_cid ON shopchilddependency (cartridgeid)
GO
CREATE INDEX i_shopchilddepend_dependscid ON shopchilddependency (dependendshopchildid)
GO
