-- #101
CREATE TABLE shopchildorder (
     shopchildid          integer  not null
,    shopchildalias       varchar(255)  not null
,    successorid          integer  null

,   constraint pk_shopchildorder                primary key (shopchildid)
,   constraint fk_shopchildorder_successorid    foreign key (successorid)
        references shopchildorder                   (shopchildid)
)
GO
CREATE UNIQUE INDEX i_shopchildorder_alias ON shopchildorder (shopchildalias)
GO
CREATE UNIQUE INDEX i_shopchildorder_successor ON shopchildorder (successorid)
GO
