-- #104
CREATE TABLE shopcountry (
     shopid               integer  not null
,    countryid            integer  not null
,    position             integer  null
,    isdefault            bool  not null

,   constraint pk_shopcountry                   primary key (shopid,countryid)
,   constraint fk_shopcountry_shopid            foreign key (shopid)
        references shop                             (shopid)
,   constraint fk_shopcountry_countryid         foreign key (countryid)
        references country                          (countryid)
)
GO
CREATE INDEX i_shopcountry_countryid ON shopcountry (countryid)
GO
