-- #103
CREATE TABLE providerstore (
     storeid              integer  not null
,    providerid           integer  not null

,   constraint pk_providerstore                 primary key (storeid)
,   constraint fk_providerstore_providerid      foreign key (providerid)
        references provider                         (providerid)
,   constraint fk_providerstore_storeid         foreign key (storeid)
        references store                            (storeid)
)
GO
CREATE INDEX i_providerstore_provider ON providerstore (providerid)
GO
