-- #402
CREATE TABLE shopfeaturecollection (
     collectionid         integer  not null
,    shoprefid            integer  not null
,    featurecollectionid  integer  null
,    creationdate         datetime  not null
,    deletiondate         datetime  null
,    isactive             bool  not null

,   constraint pk_shopfeaturecollection         primary key (collectionid)
,   constraint fk_shopfeaturecollection_shoprefid foreign key (shoprefid)
        references shopref                          (shoprefid)
,   constraint fk_shopfeaturecollection_featurecollectionid foreign key (featurecollectionid)
        references featurecollection                (featurecollectionid)
,   constraint fk_shopfeaturecollection_collectionid foreign key (collectionid)
        references object                           (objectid)
)
GO
CREATE INDEX i_shopfeaturecoll_featurecoll ON shopfeaturecollection (featurecollectionid)
GO
CREATE INDEX u_shopfeaturecoll_shop ON shopfeaturecollection (shoprefid, creationdate)
GO
