-- #103
CREATE TABLE universalportalattributeset (
     universalportalattributesetid integer  not null
,    universalportalsiteid integer  not null
,    universalportalattributeid integer  null
,    productattributeid   integer  null
,    ismandatory          bool  not null
,    maxlength            integer  null

,   constraint pk_universalproductattributeset  primary key (universalportalattributesetid)
,   constraint fk_universalportalattributeset_universalportalattributeid foreign key (universalportalattributeid)
        references universalportalattribute         (universalportalattributeid)
,   constraint fk_universalportalattributeset_universalportalsiteid foreign key (universalportalsiteid)
        references universalportalsite              (universalportalsiteid)
,   constraint fk_universalportalattributeset_universalportalattributesetid foreign key (universalportalattributesetid)
        references object                           (objectid)
,   constraint fk_universalportalattributeset_productattributeid foreign key (productattributeid)
        references attribute                        (attributeid)
)
GO
CREATE INDEX i_upa_portalsiteid ON universalportalattributeset (universalportalsiteid)
GO
CREATE INDEX i_upa_upattribute ON universalportalattributeset (universalportalattributeid)
GO
CREATE INDEX i_upa_productattributeid ON universalportalattributeset (productattributeid)
GO
